uniform vec4 LightVec;    // in EYE coords
uniform mat4 ModelViewInverse;

varying vec3 OPosition;
varying vec3 VPosition;
varying vec3 ONormal;
varying vec4 OLightVec;

void main()
{
    gl_Position = ftransform(); // clip space for rasterizer use

    OPosition = gl_Vertex.xyz;  // obj space -- just pass through
    ONormal = gl_Normal;        // obj space
    VPosition = (ModelViewInverse * vec4(0, 0, 0, 1)).xyz;  // xfrom from eye coords to obj coords
    OLightVec = normalize(ModelViewInverse * LightVec);     // eye to obj space
}
